<%= render 'layouts/header' %>

<div class="ui container grid" >

  <% if !current_user&.affiliated_organization and !current_user&.enabled %>

    <div class="ui container segment">
      <h1 class="ui center aligned header">
        Welcome to House Manager!
      </h1>
      <p>
        It appears that you currently are not affiliated with an organization. To do so, go to user options and select your organization from the dropdown. Once your organization manager adds you, you'll be all set!
      </p>
    </div>

  <% else  %>

  <% if @organization.in_rush? %>

    </br>
    <div class="ui container segment">
      <div class="row" style="text-align:center;">
        <h3>Your organization is currently in rush. Click the button to go to the rush panel.</h3>
      </div>
      </br>
      <%= link_to "Rush Panel", admin_rushees_path(), class:"ui fluid green button" %>
    </div>

  <% end %>

  <div class="row">
    <div class="four wide column">
      <div class="ui segment">
        <div class="ui center aligned header">
          Upcoming Late Plates
        </div>
        <% if @late_plates&.count > 0 %>
          <div class="ui bulleted list">
          <% @late_plates.each do |late_plate| %>
            <div class="item">
              <%= late_plate.full_name %>
            </div>
          <% end %>
          </div>
        <% else %>
        <div class="item">
          You have no upcoming late plates.
        </div>
        <% end %>
      </div>

      <% if current_user.has_role?(Role.where(label: ['Organization Manager', 'House Manager'])) %>

      <div class="ui segment">
        <div class="ui center aligned header">
          Maintenance Requests
        </div>
        <div class="ui list">
          <% if @maintenance_requests&.count > 0 %>
            <% @maintenance_requests.each do |request| %>
              <div class="item">
                <% if request.priority_id == 1 %>
                  <%= link_to maintenance_request_path(request) do %>
                    <div class="ui fluid green label" align="center">
                      <%= request.issue_title %>
                    </div>
                  <% end %>
                <% elsif request.priority_id == 2 %>
                  <%= link_to maintenance_request_path(request) do %>
                    <div class="ui fluid yellow label" align="center">
                      <%= request.issue_title %>
                    </div>
                  <% end %>
                <% elsif request.priority_id == 3 %>
                  <%= link_to maintenance_request_path(request) do %>
                    <div class="ui fluid orange label" align="center">
                      <%= request.issue_title %>
                    </div>
                  <% end %>
                <% else %>
                  <%= link_to maintenance_request_path(request) do %>
                    <div class="ui fluid red label" align="center">
                      <%= request.issue_title %>
                    </div>
                  <% end %>
                <% end %>
              </div>
            <% end %>
          <% end %>
        </div>
      </div>

      <% end %>

      <div class="ui segment">
        <div class="ui center aligned header">
          Service Hours
        </div>
        <div class="ui indicating progress" data-value=<%= @total_hours.round(2) %> data-total=10>
          <div class="bar">
            <div class="progress"></div>
          </div>
          <div class="label">Total Hours</div>
        </div>
      </div>
    </div>

    <div class="twelve wide column">
      <div class="ui segment">
        <h1 class="ui center aligned header">
          Announcements
        </h1>

        <div class="ui feed">
          <% if @announcements&.count > 0 %>
            <% @announcements.each do |announcement| %>
              <div class="event">
                <div class="label">
                  <%= image_tag announcement.author_image %>
                </div>
                <div class="content">
                  <div class="summary">
										<%= announcement.author_name%> posted '<%= link_to announcement.title, announcement %>'
										<div class="date">
									    <%= time_ago_in_words(announcement.created_at) %> ago on <%= announcement.post_date %>
								    </div>
									</div>
                  <div class="ui segment">
                    <%= markdown(announcement.body) %>
                  </div>
                  <div class="ui equal width grid">
                    <div class="row">
                      <% if policy(announcement).update? %>
                        <div class="column">
                          <%= link_to "Edit Announcement", edit_announcement_path(announcement), class:"ui green fluid button" %>
                        </div>
                      <% end %>
                      <% if policy(announcement).destroy? %>
                        <div class="column">
                        <%= link_to "Delete Announcement", announcement_path(announcement), method: :delete, class:"ui red fluid button" %>
                        </div>
                      <% end %>
                    </div>
                  </div>
                </div>
              </div>
              <div class="ui divider"></div>
            <% end %>
          <% else %>

            <div class="ui center aligned segment">
              <strong>No Announcements</strong>
            </div>

          <% end %>
          </br>
          <div class="ui equal width grid">
            <div class="row">
              <div class="column">
                <%= link_to "See more announcements", announcements_path(), :class => "ui primary fluid button" %>
              </div>
              <div class="column">
                <%= link_to "Make new announcement", new_announcement_path(), :class => "ui green fluid button" %>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>

  <% end %>

</div>

<%= render 'layouts/footer' %>
